summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--man/pass.19
-rwxr-xr-xsrc/password-store.sh14
2 files changed, 9 insertions, 14 deletions
diff --git a/man/pass.1 b/man/pass.1
index 48d272a..33b6036 100644
--- a/man/pass.1
+++ b/man/pass.1
@@ -86,13 +86,12 @@ List names of passwords inside the tree that match \fIpass-names\fP by using the
.BR tree (1)
program. This command is alternatively named \fBsearch\fP.
.TP
-\fBshow\fP [ \fI--clip\fP[=\fIline\fP], \fI-c\fP[\fIline\fP] ] \fIpass-name\fP
+\fBshow\fP [ \fI--clip\fP[=\fIline-number\fP], \fI-c\fP[\fIline-number\fP] ] \fIpass-name\fP
Decrypt and print a password named \fIpass-name\fP. If \fI--clip\fP or \fI-c\fP
-is specified, do not print the password but instead copy a line to the clipboard using
+is specified, do not print the password but instead copy the first (or otherwise specified)
+line to the clipboard using
.BR xclip (1)
-and then restore the clipboard after 45 (or \fIPASSWORD_STORE_CLIP_TIME\fP) seconds. If
-\fIline\fP is a number, the \fIline\fP-th line is copied; otherwise the line starting with
-\fIline\fP is copied.
+and then restore the clipboard after 45 (or \fIPASSWORD_STORE_CLIP_TIME\fP) seconds.
.TP
\fBinsert\fP [ \fI--echo\fP, \fI-e\fP | \fI--multiline\fP, \fI-m\fP ] [ \fI--force\fP, \fI-f\fP ] \fIpass-name\fP
Insert a new password into the password store called \fIpass-name\fP. This will
diff --git a/src/password-store.sh b/src/password-store.sh
index 032df7f..a28b128 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -224,7 +224,7 @@ cmd_usage() {
List passwords.
$PROGRAM find pass-names...
List passwords that match pass-names.
- $PROGRAM [show] [--clip[=line],-c[line]] pass-name
+ $PROGRAM [show] [--clip[=line-number],-c[line-number]] pass-name
Show existing password and optionally put it on the clipboard.
If put on the clipboard, it will be cleared in $CLIP_TIME seconds.
$PROGRAM grep search-string
@@ -304,7 +304,7 @@ cmd_show() {
--) shift; break ;;
esac done
- [[ $err -ne 0 ]] && die "Usage: $PROGRAM $COMMAND [--clip[=line],-c[line]] [pass-name]"
+ [[ $err -ne 0 ]] && die "Usage: $PROGRAM $COMMAND [--clip[=line-number],-c[line-number]] [pass-name]"
local path="$1"
local passfile="$PREFIX/$path.gpg"
@@ -313,13 +313,9 @@ cmd_show() {
if [[ $clip -eq 0 ]]; then
$GPG -d "${GPG_OPTS[@]}" "$passfile" || exit $?
else
- local pass
- if [[ $clip_location =~ ^[0-9]+$ ]]; then
- pass="$($GPG -d "${GPG_OPTS[@]}" "$passfile" | tail -n +${clip_location} | head -n 1)"
- else
- pass="$($GPG -d "${GPG_OPTS[@]}" "$passfile" | grep -m 1 "^${clip_location}")"
- fi
- [[ -n $pass ]] || die "There is no password to put on the clipboard at line '${clip_location}'."
+ [[ $clip_location =~ ^[0-9]+$ ]] || die "Clip location '$clip_location' is not a number."
+ local pass="$($GPG -d "${GPG_OPTS[@]}" "$passfile" | tail -n +${clip_location} | head -n 1)"
+ [[ -n $pass ]] || die "There is no password to put on the clipboard at line ${clip_location}."
clip "$pass" "$path"
fi
elif [[ -d $PREFIX/$path ]]; then
most directoryJason A. Donenfeld2-27/+48 2017-02-25clip: sleep may require argv[0] to be sleepJason A. Donenfeld1-1/+1 2017-02-25man: document system extensionsJason A. Donenfeld1-2/+3 ers/pass.git/commit/contrib/keepassx2pass.py?h=1.6.1&id=2bac6dd4bdc7f666057df1943d80d7c0cf31efd8&follow=1'>keepassx2pass: friendly title fieldPhilip Chase1-1/+24 This patch removes several special characters while attempting to preserve as much meaning in the filename as possible. These changes are made to the KeepassX title before it is used as a file password store filename: - Spaces between words in file names are replaced with camelCasing. - The characters \ | ( ) are each replaced with a hyphen. - Trailing hypens are removed. - @ is replaced with "At" - ' is removed